stretch_sprite(3)

NAME
stretch_sprite

SYNOPSIS
#include <allegro.h>

void stretch_sprite(BITMAP *bmp, BITMAP *sprite, int x, int y, int w, int h);

DESCRIPTION
Draws the sprite image onto the bitmap at the specified position, stretching it to the specified width and height. The difference between stretch_sprite() and stretch_blit() is that stretch_sprite() masks out transparent pixels, which are marked by a zero in 256 color modes or bright pink for truecolor data (maximum red and blue, zero green).

SEE ALSO
draw_sprite(3), stretch_blit(3), bitmap_mask_color(3)